services:
  pocketbase:
    image: ghcr.io/muchobien/pocketbase:${APP_VERSION}
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    networks:
        - icontainer-network
    ports:
        - ${PANEL_APP_PORT_HTTP}:8090
    labels:
        createdBy: "icontainer"
    environment:
      PB_ADMIN_EMAIL: ${PB_ADMIN_EMAIL}
      PB_ADMIN_PASSWORD: ${PB_ADMIN_PASSWORD}
    volumes:
      - ./pb_data:/pb_data
    command: ["--http=0.0.0.0:8090"]

networks:
  icontainer-network:
    external: true